Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Class SimpleValidationTextGenerator

    java.lang.Object
      com.bea.netuix.application.communities.invitations.SimpleValidationTextGenerator

All Implemented Interfaces
  InvitationValidationTextGenerator, Serializable

    public class SimpleValidationTextGenerator

extends Object
implements InvitationValidationTextGenerator

Simple implementation of `InvitationValidationTextGenerator`. This implementation just returns the input invitation id integer as a String directly.

For more information see the discussion of invitations or the overview of community functionality.

See Also
  Serialized Form

Constructor Summary
`SimpleValidationTextGenerator()`

Method Summary
`void` | `destroy()` Allows `InvitationValidationTextGenerator` implementations the opportunity to release any resources obtained during init or to perform any necessary cleanup operations.
`String` | `generateValidationText(Invitee invitee)` Returns a String representation of a password generated based on the input integer id.
`void` | `init(InvitationDetails invitationDetails)` Allows `InvitationValidationTextGenerator` implementations the opportunity to perform any necessary initialization operations such as obtaining necessary resources such as database connections or loading file contents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleValidationTextGenerator

    public SimpleValidationTextGenerator()

Method Detail

### init

    public void init(InvitationDetails invitationDetails)

  Description copied from interface: `InvitationValidationTextGenerator`
  Allows `InvitationValidationTextGenerator` implementations the opportunity to perform any necessary initialization operations such as obtaining necessary resources such as database connections or loading file contents.

  Specified by:
    `init` in interface `InvitationValidationTextGenerator`

### generateValidationText

    public String generateValidationText(Invitee invitee)

  Description copied from interface: `InvitationValidationTextGenerator`
  Returns a String representation of a password generated based on the input integer id. All `Invitations` in the Communities framework are guaranteed to have unique id's. The framework will call this method after storing `Invitee` information and will populate `Invitee` invitation password fields based on the output of this method for consumption by `CommunityInviter` implementations.

  Specified by:
    `generateValidationText` in interface `InvitationValidationTextGenerator`
  Parameters
    `invitee` - the invitee information
  Returns
    a password generated from the input invitation id

### destroy

    public void destroy()

  Description copied from interface: `InvitationValidationTextGenerator`
  Allows `InvitationValidationTextGenerator` implementations the opportunity to release any resources obtained during init or to perform any necessary cleanup operations.

  Specified by:
    `destroy` in interface `InvitationValidationTextGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved